package restriction

import (
	"context"
	"kami/internal/service"

	"kami/api/restriction/v1"
)

func (c *ControllerV1) QueryAllProvince(ctx context.Context, req *v1.QueryAllProvinceReq) (res *v1.QueryAllProvinceRes, err error) {
	list := service.Restriction().GetAllProvince(ctx)
	res = new(v1.QueryAllProvinceRes)
	res.List = list
	return
}
